# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject2
# FileName:      read_json.py
# Author:        YH
# Datetime:      2024/7/13 9:43
# Description:
# ---------------------------------------------------------------------------
import json
import os


def ReadJson(json_file_path: str):
    if os.path.isfile(json_file_path) and json_file_path.endswith(".json"):
        try:
            with open(json_file_path, mode="r", encoding="utf-8") as f:
                return json.load(f)
        except Exception as e:
            print("读取json文件失败！")
            raise e
    else:
        raise FileNotFoundError("文件不存在或不是json文件！")


if __name__ == '__main__':
    print(ReadJson(r'D:\file\PycharmProjects\pythonProject2\MyAPIAutoTest_v1\data_config\case_data.json'))