# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject2
# FileName:      conftest.py
# Author:        YH
# Datetime:      2024/7/13 15:13
# Description:
# ---------------------------------------------------------------------------
import pytest

from MyAPIAutoTest_v1.common.DB_config import DbConfig
from MyAPIAutoTest_v1.request_method.request_method import RequestMethod


@pytest.fixture(scope="session")
def db_fix():
    DB = DbConfig()
    yield DB
    DB.db_close()


@pytest.fixture(scope="session")
def req_fix():
    req_method = RequestMethod()
    yield req_method
